Bug 166377 - Review Request: erlang - General-purpose programming language and runtime environment
Review Request: erlang - General-purpose programming language and runtime env...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://math.ifi.unizh.ch/fedora/4/i38...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-19 17:40 EDT by Gérard Milmeister
Modified: 2013-10-23 14:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-07 06:07:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2005-08-19 17:40:56 EDT
Spec Name or Url: http://math.ifi.unizh.ch/fedora/spec/erlang.spec
SRPM Name or Url: http://math.ifi.unizh.ch/fedora/4/i386/SRPMS.gemi/erlang-R10B-6.1.src.rpm
Description:
Erlang is a general-purpose programming language and runtime
environment. Erlang has built-in support for concurrency, distribution
and fault tolerance. Erlang is used in several large telecommunication
systems from Ericsson.


Remark:
This is required for the wings3d modeller (http://www.wings3d.com)
Comment 1 Linus Walleij 2005-08-22 09:53:00 EDT
OK there is one odd thing to be spotted here immediately. The version
is "R10B" which I know for sure is Ericsson-internal revision numbering.
Have you made sure that this will work with RPM upgrades? Is it really OK
for the revision to start with a letter?

The number scheme means next release in R10 will be R10C through R10Z, but then
the real trouble starts, because after that R10AA will follow (I believe)
and that might not work so well with RPM, I believe it will be considered
a lesser version than R10Z... Of course if the revision policy is such that
Erlang will never pass beyond R10Z it will be OK, if and only if the "R" first
in the revision number is OK, as stated in the previous remark.

Please test and clarify this.
Comment 2 Gérard Milmeister 2005-08-22 12:35:42 EDT
(In reply to comment #1)
> The number scheme means next release in R10 will be R10C through R10Z, but then
> the real trouble starts, because after that R10AA will follow (I believe)
> and that might not work so well with RPM, I believe it will be considered
> a lesser version than R10Z... Of course if the revision policy is such that
> Erlang will never pass beyond R10Z it will be OK, if and only if the "R" first
> in the revision number is OK, as stated in the previous remark.
You are right, this doesnt work, R10AA is before R10Z. I dont think releases
will reach past R10Z before R11. However maybe another version naming scheme
might be better. Any suggestions?
Comment 3 Ville Skyttä 2005-08-22 12:51:11 EDT
Off the cuff: 
1) Don't worry, there's lots of space between B and Z, bump epoch if needed 
2) erlang-R10-x.B%{?dist}, handle "stuff" by bumping x as appropriate 
Comment 4 Linus Walleij 2005-08-22 14:51:05 EDT
Erlang R10 revisions progressing beyond R10Z is unlikely, so I
believe Villes idea 1) to use Epoch for this situation, would it ever
occur, should be OK. Problem solved.
Comment 5 Aurelien Bompard 2005-08-25 14:12:56 EDT
* in ./configure there is a mention that no odbc library has been found. Please
add unixODBC-deve to the buildrequirements

* redirect the output of the post scriptlet to /dev/null to avoid "Building SASL
boot script ..." message

* in %install, change "lib" to "%{_lib}" (different on x86_64)

* in %post, change /usr/lib to %{_libdir}

* possible improvements 
 - split the HTML doc in a separate package
 - add /usr/lib/erlang/man in the manpath (eg via a file in /etc/profile.d)

* rpmlint is extremely unhappy, but I don't know what is relevant there. Please
have a look.

I don't know erlang to I can't test it properly, but at least it does not
complain when I run "erlc -h"

Apart from that :
* Source otp_src_R10B-6.tar.gz is the same as upstream
* Source otp_doc_html_R10B-6.tar.gz is the same as upstream
* Source otp_doc_man_R10B-6.tar.gz is the same as upstream
* The BuildRoot is the preferred one
* Builds fine in mock
* File list looks OK
Comment 6 Gérard Milmeister 2005-08-31 12:32:54 EDT
SRPM: http://math.ifi.unizh.ch/fedora/4/i386/SRPMS.gemi/erlang-R10B-6.2.src.rpm
SPEC: http://math.ifi.unizh.ch/fedora/spec/erlang.spec

- change /usr/lib to %{_libdir}
- redirect output in %post to /dev/null
- add unixODBC-devel to BuildRequires
- split doc off to erlang-doc package

some cleanup in the file list (permissions, etc...)
the remaining output of rpmlint can be ignored, IMHO, it doesn't make much sense
splitting off a -devel package.
Comment 7 Aurelien Bompard 2005-09-04 08:39:59 EDT
Looks good. One last thing: "perl" in BuildRequired, and it's one of the
exceptions (http://fedoraproject.org/wiki/PackagingGuidelines#Exceptions)
Please remove it and you'll be approved for import in CVS
Comment 8 Aurelien Bompard 2005-09-04 09:22:39 EDT
One thing again: the configure seems to check for gcj for the java lib. It it
works, it could be useful to add it to the BR.
Comment 9 Gérard Milmeister 2005-09-06 09:04:54 EDT
SPEC: http://math.ifi.unizh.ch/fedora/spec/erlang.spec
* Tue Sep  6 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-6.3
- Remove perl BuildRequires

gcj is detected but a full jdk is needed, probably this is a stub
for future support of gcj.
Comment 10 Aurelien Bompard 2005-09-06 09:16:17 EDT
Allright, go ahead and import.
Comment 11 Gérard Milmeister 2007-08-10 07:05:48 EDT
Package Change Request
======================
Package Name: erlang
New Branches: EL-4 EL-5
Updated EPEL Owners: lemenkov@gmail.com,gemi@bluewin.ch
Comment 12 Kevin Fenzi 2007-08-10 12:50:53 EDT
cvs done. 
Per the new procedure, please use Fedora Account names instead of email from now on.
Comment 13 Anthony Molinaro 2009-06-04 16:31:31 EDT
Package Change Request
======================
Package Name: erlang
New Branches: EL-5
Owners: gemi peter

Hopefully, this is the right place for this, I was wondering if you could push R12B5 to EL-5.  It seems to be in fedora, so hopefully not a big deal?  Thanks.
Comment 14 Peter Lemenkov 2009-06-04 23:28:02 EDT
Hello Anthony.
R12B-5 already packaged, but still resides in epel-testing (maintainers cannot control moves from epel-testing to epel, so it will be here until the next such move).

You may install it by typing

sudo yum install erlang --enablerepo epel-testing
Comment 15 Peter Lemenkov 2013-10-23 14:01:12 EDT
Package Change Request
======================
Package Name: erlang
InitialCC: erlang-sig
Comment 16 Jon Ciesla 2013-10-23 14:14:50 EDT
Done.

Note You need to log in before you can comment on or make changes to this bug.